/*
 *========================================================================
 * $Id: libdieharder.h 220 2006-08-16 19:26:56Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 * These are REALLY REALLY USEFUL especially if you use them in
 * programs right from the beginning to build in the ability to debug
 * them and dynamically trace them as they get complex.  One can
 * alternatively use a debugger, but I find that userspace verbosity is
 * a lot more convenient in most cases as it makes it trivial for me to
 * test, trace, validate routines as I write them instead of only when
 * problems emerge.  Instead of removing this code, I just wrap it inside
 * a MYDEBUG conditional with a suitable enumerated value of verbose
 * that correspondes to the code segment being developed defined below.
 */


#define	MYDEBUG(b)  if ( (verbose == b) || (verbose == D_ALL) )

 typedef enum {
   D_QUIET,
   D_ALL,
   D_HELLO,
   N_DEBUG
 } Debug;
